# classes/phing/tasks/ext/FileSizeTask.php

fileHash

Calculate either MD5 or SHA hash value of a specified file and retun the value in a property

author
  Johan Persson
package
  phing.tasks.ext
version
  $Id: FileSizeTask.php 1084 2011-05-06 09:55:25Z mrook $

## \FileSizeTask
jump to top

fileHash

Calculate either MD5 or SHA hash value of a specified file and retun the value in a property

Extends from
  \Task
author
  Johan Persson
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext
version
  $Id: FileSizeTask.php 1084 2011-05-06 09:55:25Z mrook $

### Properties

`\PhingFile $file= ''`

Property for File

file
Details

Type
  \PhingFile

`string $propertyName= 'filesize'`

Property where the file size will be stored

Default value `filesize` Details

Type
  string

### Methods

`checkFile( ) : void`
checks file attribute
Details

throws

`checkPropertyName( ) : void`
checks property attribute
Details

throws

`main( ) : void`
Main-Method for the Task
Details

throws

`setFile( \PhingFile $file ) :`
Which file to calculate the file size of
Parameters

Name | Type | Description
--- | --- | ---
$file | \PhingFile |

`setPropertyName( $property ) : void`
Set the name of the property to store the file size
Parameters

Name | Type | Description
--- | --- | ---
$property |  |

Documentation was generated by DocBlox 0.13.1.